Index: LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5142)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5143)
@@ -1,8 +1,10 @@
-
 ! $Header$
 
 SUBROUTINE hbtm2l(knon, paprs, pplay, t2m, t10m, q2m, q10m, ustar, flux_t, flux_q, u, v, t, q, pblh, therm, plcl, cape, &
-    cin, eauliq, ctei, d_qt, d_thv, dlt_2, xhis, posint, omega, diagok)
+        cin, eauliq, ctei, d_qt, d_thv, dlt_2, xhis, posint, omega, diagok)
   USE dimphy
+  USE lmdz_YOETHF
+  USE lmdz_fcttre, ONLY: foeew, foede, qsats, qsatl, dqsats, dqsatl, thermcep
+
   IMPLICIT NONE
 
@@ -38,5 +40,5 @@
   REAL q2m(klon), q10m(klon) ! q a 2 et 10m
   REAL ustar(klon)
-  REAL paprs(klon, klev+1) ! pression a inter-couche (Pa)
+  REAL paprs(klon, klev + 1) ! pression a inter-couche (Pa)
   REAL pplay(klon, klev) ! pression au milieu de couche (Pa)
   REAL flux_t(klon, klev), flux_q(klon, klev) ! Flux
@@ -48,35 +50,35 @@
   INTEGER isommet
   REAL vk
-  PARAMETER (vk=0.35) ! Von Karman => passer a .41 ! cf U.Olgstrom
+  PARAMETER (vk = 0.35) ! Von Karman => passer a .41 ! cf U.Olgstrom
   REAL ricr
-  PARAMETER (ricr=0.4)
+  PARAMETER (ricr = 0.4)
   REAL fak
-  PARAMETER (fak=8.5) ! b calcul du Prandtl et de dTetas
+  PARAMETER (fak = 8.5) ! b calcul du Prandtl et de dTetas
   REAL fakn
-  PARAMETER (fakn=7.2) ! a
+  PARAMETER (fakn = 7.2) ! a
   REAL onet
-  PARAMETER (onet=1.0/3.0)
+  PARAMETER (onet = 1.0 / 3.0)
   REAL betam
-  PARAMETER (betam=15.0) ! pour Phim / h dans la S.L stable
+  PARAMETER (betam = 15.0) ! pour Phim / h dans la S.L stable
   REAL betah
-  PARAMETER (betah=15.0)
+  PARAMETER (betah = 15.0)
   REAL betas
-  PARAMETER (betas=5.0) ! Phit dans la S.L. stable (mais 2 formes / z/OBL<>1
+  PARAMETER (betas = 5.0) ! Phit dans la S.L. stable (mais 2 formes / z/OBL<>1
   REAL sffrac
-  PARAMETER (sffrac=0.1) ! S.L. = z/h < .1
+  PARAMETER (sffrac = 0.1) ! S.L. = z/h < .1
   REAL binm
-  PARAMETER (binm=betam*sffrac)
+  PARAMETER (binm = betam * sffrac)
   REAL binh
-  PARAMETER (binh=betah*sffrac)
+  PARAMETER (binh = betah * sffrac)
 
   REAL q_star, t_star
   REAL b1, b2, b212, b2sr ! Lambert correlations T' q' avec T* q*
-  PARAMETER (b1=70., b2=20.) ! b1 entre 70 et 100
+  PARAMETER (b1 = 70., b2 = 20.) ! b1 entre 70 et 100
 
   REAL z(klon, klev)
   ! AM
   REAL zref, dt0
-  PARAMETER (zref=2.) ! Niveau de ref a 2m
-  PARAMETER (dt0=0.1) ! convergence do while
+  PARAMETER (zref = 2.) ! Niveau de ref a 2m
+  PARAMETER (dt0 = 0.1) ! convergence do while
 
   INTEGER i, k, j
@@ -130,7 +132,4 @@
   REAL missing_val
 
-  include "YOETHF.h"
-  include "FCTTRE.h"
-
   ! c      missing_val=nf90_fill_real (avec include netcdf)
   missing_val = 0.
@@ -138,10 +137,10 @@
   ! initialisations (Anne)
   isommet = klev
-  b212 = sqrt(b1*b2)
+  b212 = sqrt(b1 * b2)
   b2sr = sqrt(b2)
 
   ! Initialisation thermo
-  rlvcp = rlvtt/rcpd
-  reps = rd/rv
+  rlvcp = rlvtt / rcpd
+  reps = rd / rv
   ! raz
   q_star = 0.
@@ -164,6 +163,6 @@
   ! Calculer les hauteurs de chaque couche
   DO i = 1, knon
-    z(i, 1) = rd*t(i, 1)/(0.5*(paprs(i,1)+pplay(i,1)))*(paprs(i,1)-pplay(i,1))/rg
-    s(i, 1) = (pplay(i,1)/paprs(i,1))**rkappa
+    z(i, 1) = rd * t(i, 1) / (0.5 * (paprs(i, 1) + pplay(i, 1))) * (paprs(i, 1) - pplay(i, 1)) / rg
+    s(i, 1) = (pplay(i, 1) / paprs(i, 1))**rkappa
   END DO
   ! s(k) = [pplay(k)/ps]^kappa
@@ -181,6 +180,6 @@
   DO k = 2, klev
     DO i = 1, knon
-      z(i, k) = z(i, k-1) + rd*0.5*(t(i,k-1)+t(i,k))/paprs(i, k)*(pplay(i,k-1)-pplay(i,k))/rg
-      s(i, k) = (pplay(i,k)/paprs(i,1))**rkappa
+      z(i, k) = z(i, k - 1) + rd * 0.5 * (t(i, k - 1) + t(i, k)) / paprs(i, k) * (pplay(i, k - 1) - pplay(i, k)) / rg
+      s(i, k) = (pplay(i, k) / paprs(i, 1))**rkappa
     END DO
   END DO
@@ -212,8 +211,8 @@
     ! AM calcul de Ro = paprs(i,1)/Rd zxt
     ! AM convention >0 vers le bas ds lmdz
-    khfs(i) = -flux_t(i, 1)*zxt*rd/(rcpd*paprs(i,1))
-    kqfs(i) = -flux_q(i, 1)*zxt*rd/(paprs(i,1))
+    khfs(i) = -flux_t(i, 1) * zxt * rd / (rcpd * paprs(i, 1))
+    kqfs(i) = -flux_q(i, 1) * zxt * rd / (paprs(i, 1))
     ! AM   verifier que khfs et kqfs sont bien de la forme w'l'
-    heatv(i) = khfs(i) + retv*zxt*kqfs(i)
+    heatv(i) = khfs(i) + retv * zxt * kqfs(i)
     ! a comparer aussi aux sorties de clqh : flux_T/RoCp et flux_q/RoLv
     ! AM ustar est en entree (calcul dans stdlevvar avec t2m q2m)
@@ -233,8 +232,8 @@
     IF (heatv(i)>0.0001) THEN
       ! Lambda = -u*^3 / (alpha.g.kvon.<w'Theta'v>
-      obklen(i) = -t(i, 1)*ustar(i)**3/(rg*vk*heatv(i))
+      obklen(i) = -t(i, 1) * ustar(i)**3 / (rg * vk * heatv(i))
     ELSE
       ! set pblh to the friction high (cf + bas)
-      pblh(i) = 700.0*ustar(i)
+      pblh(i) = 700.0 * ustar(i)
       check(i) = .FALSE.
     END IF
@@ -255,11 +254,11 @@
         zdu2 = max(zdu2, 1.0E-20)
         ! Theta_v environnement
-        zthvd = t(i, k)/s(i, k)*(1.+retv*q(i,k))
-        zthvu = th_th(i)*(1.+retv*qt_th(i))
+        zthvd = t(i, k) / s(i, k) * (1. + retv * q(i, k))
+        zthvu = th_th(i) * (1. + retv * qt_th(i))
         ! Le Ri bulk par Theta_v
-        rhino(i, k) = (z(i,k)-zref)*rg*(zthvd-zthvu)/(zdu2*0.5*(zthvd+zthvu))
-
-        IF (rhino(i,k)>=ricr) THEN
-          pblh(i) = z(i, k-1) + (z(i,k-1)-z(i,k))*(ricr-rhino(i,k-1))/(rhino(i,k-1)-rhino(i,k))
+        rhino(i, k) = (z(i, k) - zref) * rg * (zthvd - zthvu) / (zdu2 * 0.5 * (zthvd + zthvu))
+
+        IF (rhino(i, k)>=ricr) THEN
+          pblh(i) = z(i, k - 1) + (z(i, k - 1) - z(i, k)) * (ricr - rhino(i, k - 1)) / (rhino(i, k - 1) - rhino(i, k))
           ! test04 (la pblh est encore ici sous-estime'e)
           pblh(i) = pblh(i) + 100.
@@ -298,5 +297,5 @@
   DO i = 1, knon
     IF (check(i)) THEN
-      phiminv(i) = (1.-binm*pblh(i)/obklen(i))**onet
+      phiminv(i) = (1. - binm * pblh(i) / obklen(i))**onet
       ! ***************************************************
       ! Wm ? et W* ? c'est la formule pour z/h < .1
@@ -317,5 +316,5 @@
       ! END IF
       ! ***************************************************
-      wm(i) = ustar(i)*phiminv(i)
+      wm(i) = ustar(i) * phiminv(i)
       ! ======================================================================
       ! valeurs de Dominique Lambert de la campagne SEMAPHORE :
@@ -343,12 +342,12 @@
       ! HBTM        therm(i) = heatv(i)*fak/wm(i)
       ! forme Mathieu :
-      q_star = max(0., kqfs(i)/wm(i))
-      t_star = max(0., khfs(i)/wm(i))
+      q_star = max(0., kqfs(i) / wm(i))
+      t_star = max(0., khfs(i) / wm(i))
       ! Al1 Houston, we have a problem : il arrive en effet que heatv soit
       ! positif (=thermique instable) mais pas t_star : avec evaporation
       ! importante, il se peut qu'on refroidisse la 2m Que faire alors ?
       ! Garder le seul terme en q_star^2 ? ou rendre negatif le t_star^2 ?
-      therm(i) = sqrt(b1*(1.+2.*retv*qt_th(i))*t_star**2+(retv*th_th(i))**2*b2*q_star*q_star+2.*retv*th_th(i)*b212* &
-        q_star*t_star)
+      therm(i) = sqrt(b1 * (1. + 2. * retv * qt_th(i)) * t_star**2 + (retv * th_th(i))**2 * b2 * q_star * q_star + 2. * retv * th_th(i) * b212 * &
+              q_star * t_star)
 
       ! Theta et qT du thermique (forme H&B) avec exces
@@ -356,5 +355,5 @@
       ! pourquoi pas sqrt(b1)*t_star ?
       ! dqs = b2sr*kqfs(i)/wm(i)
-      qt_th(i) = qt_th(i) + b2sr*q_star
+      qt_th(i) = qt_th(i) + b2sr * q_star
       rhino(i, 1) = 0.0
     END IF
@@ -375,18 +374,18 @@
         zdu2 = max(zdu2, 1.0E-20)
         ! Theta_v environnement
-        zthvd = t(i, k)/s(i, k)*(1.+retv*q(i,k))
+        zthvd = t(i, k) / s(i, k) * (1. + retv * q(i, k))
 
         ! et therm Theta_v (avec hypothese de constance de H&B,
         ! qui assimile qT a vapeur)
-        zthvu = th_th(i)*(1.+retv*qt_th(i)) + therm(i)
+        zthvu = th_th(i) * (1. + retv * qt_th(i)) + therm(i)
 
 
         ! Le Ri par Theta_v
         ! AM Niveau de ref 2m
-        rhino(i, k) = (z(i,k)-zref)*rg*(zthvd-zthvu)/(zdu2*0.5*(zthvd+zthvu))
+        rhino(i, k) = (z(i, k) - zref) * rg * (zthvd - zthvu) / (zdu2 * 0.5 * (zthvd + zthvu))
 
         ! Niveau critique atteint
-        IF (rhino(i,k)>=ricr) THEN
-          pblh(i) = z(i, k-1) + (z(i,k-1)-z(i,k))*(ricr-rhino(i,k-1))/(rhino(i,k-1)-rhino(i,k))
+        IF (rhino(i, k)>=ricr) THEN
+          pblh(i) = z(i, k - 1) + (z(i, k - 1) - z(i, k)) * (ricr - rhino(i, k - 1)) / (rhino(i, k - 1) - rhino(i, k))
           ! test04
           pblh(i) = pblh(i) + 100.
@@ -418,10 +417,10 @@
   ! Al1 calcul de pblT dans ce cas
   DO i = 1, knon
-    pblmin = 700.0*ustar(i)
+    pblmin = 700.0 * ustar(i)
     IF (pblh(i)<pblmin) check(i) = .TRUE.
   END DO
   DO i = 1, knon
     IF (check(i)) THEN
-      pblh(i) = 700.0*ustar(i)
+      pblh(i) = 700.0 * ustar(i)
       ! et par exemple :
       ! pblT(i) = t(i,2) + (t(i,3)-t(i,2)) *
@@ -445,8 +444,8 @@
     IF (unstbl(i)) THEN
       ! Al pblh a change', on recalcule :
-      zxt = (th_th(i)-zref*0.5*rg/rcpd/(1.+rvtmp2*qt_th(i)))*(1.+retv*qt_th(i))
-      phiminv(i) = (1.-binm*pblh(i)/obklen(i))**onet
-      phihinv(i) = sqrt(1.-binh*pblh(i)/obklen(i))
-      wm(i) = ustar(i)*phiminv(i)
+      zxt = (th_th(i) - zref * 0.5 * rg / rcpd / (1. + rvtmp2 * qt_th(i))) * (1. + retv * qt_th(i))
+      phiminv(i) = (1. - binm * pblh(i) / obklen(i))**onet
+      phihinv(i) = sqrt(1. - binh * pblh(i) / obklen(i))
+      wm(i) = ustar(i) * phiminv(i)
     END IF
   END DO
@@ -476,10 +475,10 @@
       omega(i) = 0.
 
-      phiminv(i) = (1.-binm*pblh(i)/obklen(i))**onet
-      wm(i) = ustar(i)*phiminv(i)
-      q_star = max(0., kqfs(i)/wm(i))
-      t_star = max(0., khfs(i)/wm(i))
-      therm(i) = sqrt(b1*(1.+2.*retv*qt_th(i))*t_star**2+(retv*th_th(i))**2*b2*q_star*q_star+2.*retv*th_th(i)*b212* &
-        q_star*t_star)
+      phiminv(i) = (1. - binm * pblh(i) / obklen(i))**onet
+      wm(i) = ustar(i) * phiminv(i)
+      q_star = max(0., kqfs(i) / wm(i))
+      t_star = max(0., khfs(i) / wm(i))
+      therm(i) = sqrt(b1 * (1. + 2. * retv * qt_th(i)) * t_star**2 + (retv * th_th(i))**2 * b2 * q_star * q_star + 2. * retv * th_th(i) * b212 * &
+              q_star * t_star)
       ! Al1diag
       ! trmb1(i) = b1*(1.+2.*RETV*qT_th(i))*t_star**2
@@ -494,18 +493,18 @@
       ! trmb3(i) = phiminv(i)
       ! and computes Theta_e for thermal
-      the_th(i) = th_th(i) + rlvcp*qt_th(i)
+      the_th(i) = th_th(i) + rlvcp * qt_th(i)
     END IF ! unstbl
     ! Al1 compute a first guess of Plcl with the Bolton/Emanuel formula
     t2 = th_th(i)
     ! thermodyn functions
-    zdelta = max(0., sign(1.,rtt-t2))
-    qsat = r2es*foeew(t2, zdelta)/paprs(i, 1)
+    zdelta = max(0., sign(1., rtt - t2))
+    qsat = r2es * foeew(t2, zdelta) / paprs(i, 1)
     qsat = min(0.5, qsat)
-    zcor = 1./(1.-retv*qsat)
-    qsat = qsat*zcor
+    zcor = 1. / (1. - retv * qsat)
+    qsat = qsat * zcor
     ! relative humidity of thermal at 2m
-    rh = qt_th(i)/qsat
-    chi = t2/(1669.0-122.0*rh-t2)
-    plcl(i) = paprs(i, 1)*(rh**chi)
+    rh = qt_th(i) / qsat
+    chi = t2 / (1669.0 - 122.0 * rh - t2)
+    plcl(i) = paprs(i, 1) * (rh**chi)
     ! al1diag
     ! ctei(i) = Plcl(i)
@@ -525,5 +524,5 @@
       IF (check(i) .OR. omegafl(i)) THEN
         ! CC         if (pplay(i,k) .le. plcl(i)) THEN
-        zm(i) = z(i, k-1)
+        zm(i) = z(i, k - 1)
         zp(i) = z(i, k)
         ! Environnement : calcul de Tv1 a partir de t(:,:)== T liquide
@@ -531,32 +530,32 @@
         tl1 = t(i, k)
         t1 = tl1
-        zdelta = max(0., sign(1.,rtt-t1))
-        qsat = r2es*foeew(t1, zdelta)/pplay(i, k)
+        zdelta = max(0., sign(1., rtt - t1))
+        qsat = r2es * foeew(t1, zdelta) / pplay(i, k)
         qsat = min(0.5, qsat)
-        zcor = 1./(1.-retv*qsat)
-        qsat = qsat*zcor
-        q1 = min(q(i,k), qsat)
-        ql1 = max(0., q(i,k)-q1)
+        zcor = 1. / (1. - retv * qsat)
+        qsat = qsat * zcor
+        q1 = min(q(i, k), qsat)
+        ql1 = max(0., q(i, k) - q1)
         ! thermodyn function (Tl2Tql)
-        dt = rlvcp*ql1
+        dt = rlvcp * ql1
         DO WHILE (abs(dt)>=dt0)
           t1 = t1 + dt
-          zdelta = max(0., sign(1.,rtt-t1))
-          zcvm5 = r5les*(1.-zdelta) + r5ies*zdelta
-          qsat = r2es*foeew(t1, zdelta)/pplay(i, k)
+          zdelta = max(0., sign(1., rtt - t1))
+          zcvm5 = r5les * (1. - zdelta) + r5ies * zdelta
+          qsat = r2es * foeew(t1, zdelta) / pplay(i, k)
           qsat = min(0.5, qsat)
-          zcor = 1./(1.-retv*qsat)
-          qsat = qsat*zcor
+          zcor = 1. / (1. - retv * qsat)
+          qsat = qsat * zcor
           dqsat_dt = foede(t1, zdelta, zcvm5, qsat, zcor)
           ! correction lineaire pour conserver Tl env
           ! << Tl = T1 + DT - RLvCp*(ql1 - dqsat/dT*DT >>
-          denom = 1. + rlvcp*dqsat_dt
-          q1 = min(q(i,k), qsat)
+          denom = 1. + rlvcp * dqsat_dt
+          q1 = min(q(i, k), qsat)
           ql1 = q(i, k) - q1 ! can be negative
-          rnum = tl1 - t1 + rlvcp*ql1
-          dt = rnum/denom
+          rnum = tl1 - t1 + rlvcp * ql1
+          dt = rnum / denom
         END DO
         ql1 = max(0., ql1)
-        tv1 = t1*(1.+retv*q1-ql1)
+        tv1 = t1 * (1. + retv * q1 - ql1)
         ! Thermique    : on atteint le seuil B/E de condensation
         ! ==============
@@ -564,25 +563,25 @@
         IF (.NOT. zsat(i)) THEN
           ! first guess from The_th(i) = Th_th(i) + RLvCp* [qv=qT_th(i)]
-          t2 = s(i, k)*the_th(i) - rlvcp*qt_th(i)
-          zdelta = max(0., sign(1.,rtt-t2))
-          qsat = r2es*foeew(t2, zdelta)/pplay(i, k)
+          t2 = s(i, k) * the_th(i) - rlvcp * qt_th(i)
+          zdelta = max(0., sign(1., rtt - t2))
+          qsat = r2es * foeew(t2, zdelta) / pplay(i, k)
           qsat = min(0.5, qsat)
-          zcor = 1./(1.-retv*qsat)
-          qsat = qsat*zcor
+          zcor = 1. / (1. - retv * qsat)
+          qsat = qsat * zcor
           q2 = min(qt_th(i), qsat)
-          ql2 = max(0., qt_th(i)-q2)
+          ql2 = max(0., qt_th(i) - q2)
           IF (ql2>0.0001) zsat(i) = .TRUE.
           tbef(i) = t2
           ! a PBLH non sature
           IF (zm(i)<pblh(i) .AND. zp(i)>=pblh(i)) THEN
-            reduc = (pblh(i)-zm(i))/(zp(i)-zm(i))
-            spblh = s(i, k-1) + reduc*(s(i,k)-s(i,k-1))
+            reduc = (pblh(i) - zm(i)) / (zp(i) - zm(i))
+            spblh = s(i, k - 1) + reduc * (s(i, k) - s(i, k - 1))
             ! lmdz : qT1 et Thv1
-            t1 = (t(i,k-1)+reduc*(t(i,k)-t(i,k-1)))
-            thv1 = t1*(1.+retv*q(i,k))/spblh
+            t1 = (t(i, k - 1) + reduc * (t(i, k) - t(i, k - 1)))
+            thv1 = t1 * (1. + retv * q(i, k)) / spblh
             ! on calcule pour le cas sans nuage un ctei en Delta Thv
-            thv2 = t2/spblh*(1.+retv*qt_th(i))
+            thv2 = t2 / spblh * (1. + retv * qt_th(i))
             ctei(i) = thv1 - thv2
-            tv2 = t2*(1.+retv*q2-ql2)
+            tv2 = t2 * (1. + retv * q2 - ql2)
             ! diag
             ! dTv21(i,k) = Tv2-Tv1
@@ -596,22 +595,22 @@
           t2 = tbef(i)
           dt = 1.
-          te2 = s(i, k)*the_th(i)
+          te2 = s(i, k) * the_th(i)
           DO WHILE (abs(dt)>=dt0)
-            zdelta = max(0., sign(1.,rtt-t2))
-            zcvm5 = r5les*(1.-zdelta) + r5ies*zdelta
-            qsat = r2es*foeew(t2, zdelta)/pplay(i, k)
+            zdelta = max(0., sign(1., rtt - t2))
+            zcvm5 = r5les * (1. - zdelta) + r5ies * zdelta
+            qsat = r2es * foeew(t2, zdelta) / pplay(i, k)
             qsat = min(0.5, qsat)
-            zcor = 1./(1.-retv*qsat)
-            qsat = qsat*zcor
+            zcor = 1. / (1. - retv * qsat)
+            qsat = qsat * zcor
             dqsat_dt = foede(t2, zdelta, zcvm5, qsat, zcor)
             ! correction lineaire pour conserver Te_th
             ! << Te = T2 + DT + RLvCp*(qsatbef + dq/dT*DT >>
-            denom = 1. + rlvcp*dqsat_dt
-            rnum = te2 - t2 - rlvcp*qsat
-            dt = rnum/denom
+            denom = 1. + rlvcp * dqsat_dt
+            rnum = te2 - t2 - rlvcp * qsat
+            dt = rnum / denom
             t2 = t2 + dt
           END DO
           q2 = min(qt_th(i), qsat)
-          ql2 = max(0., qt_th(i)-q2)
+          ql2 = max(0., qt_th(i) - q2)
           ! jusqu'a PBLH y compris
           IF (zm(i)<pblh(i)) THEN
@@ -619,14 +618,14 @@
             ! mais a PBLH, interpolation et complements
             IF (zp(i)>=pblh(i)) THEN
-              reduc = (pblh(i)-zm(i))/(zp(i)-zm(i))
-              spblh = s(i, k-1) + reduc*(s(i,k)-s(i,k-1))
+              reduc = (pblh(i) - zm(i)) / (zp(i) - zm(i))
+              spblh = s(i, k - 1) + reduc * (s(i, k) - s(i, k - 1))
               ! CAPE et EauLiq a pblH
-              cape(i) = kape(i) + reduc*(zp(i)-zm(i))*rg*.5/(tv2+tv1)*max(0., (tv2-tv1))
-              eauliq(i) = eauliq(i) + reduc*(paprs(i,k-1)-paprs(i,k))*ql2/rg
+              cape(i) = kape(i) + reduc * (zp(i) - zm(i)) * rg * .5 / (tv2 + tv1) * max(0., (tv2 - tv1))
+              eauliq(i) = eauliq(i) + reduc * (paprs(i, k - 1) - paprs(i, k)) * ql2 / rg
               ! CTEI
-              the2 = (t2+rlvcp*q2)/spblh
+              the2 = (t2 + rlvcp * q2) / spblh
               ! T1 est en realite la Tl env (on a donc strict The1)
-              t1 = (t(i,k-1)+reduc*(t(i,k)-t(i,k-1)))
-              the1 = (t1+rlvcp*q(i,k))/spblh
+              t1 = (t(i, k - 1) + reduc * (t(i, k) - t(i, k - 1)))
+              the1 = (t1 + rlvcp * q(i, k)) / spblh
               ! Calcul de la Cloud Top Entrainement Instability
               ! cf Mathieu Lahellec QJRMS (2005) Comments to DYCOMS-II
@@ -635,24 +634,24 @@
               delt_qt = q(i, k) - qt_th(i) ! negatif
               d_qt(i) = -delt_qt
-              dlt_2(i) = .63*delt_the - the2*delt_qt
+              dlt_2(i) = .63 * delt_the - the2 * delt_qt
               ! init ctei(i)
               ctei(i) = dlt_2(i)
               IF (dlt_2(i)<-0.1) THEN
                 ! integrale de Peter :
-                aa = delt_the - delt_qt*(rlvcp-retv*the2)
-                bb = (rlvcp-(1.+retv)*the2)*ql2
+                aa = delt_the - delt_qt * (rlvcp - retv * the2)
+                bb = (rlvcp - (1. + retv) * the2) * ql2
                 d_thv(i) = aa - bb
                 ! approx de Xhi_s et de l'integrale Xint=ctei(i)
-                xhis(i) = bb/(aa-dlt_2(i))
+                xhis(i) = bb / (aa - dlt_2(i))
                 ! trmb1(i) = xhis
                 ! trmb3(i) = dlt_2
-                xnull = bb/aa
+                xnull = bb / aa
                 IF (xhis(i)>0.1) THEN
-                  ctei(i) = dlt_2(i)*xhis(i) + aa*(1.-xhis(i)) + bb*alog(xhis(i))
+                  ctei(i) = dlt_2(i) * xhis(i) + aa * (1. - xhis(i)) + bb * alog(xhis(i))
                 ELSE
-                  ctei(i) = .5*(dlt_2(i)+aa-bb)
+                  ctei(i) = .5 * (dlt_2(i) + aa - bb)
                 END IF
                 IF (xnull>0.) THEN
-                  posint(i) = aa - bb + bb*alog(xnull)
+                  posint(i) = aa - bb + bb * alog(xnull)
                 ELSE
                   posint(i) = 0.
@@ -665,5 +664,5 @@
               omegafl(i) = .TRUE.
             END IF ! end a pblh
-            IF (check(i)) eauliq(i) = eauliq(i) + (paprs(i,k)-paprs(i,k+1))*ql2/rg
+            IF (check(i)) eauliq(i) = eauliq(i) + (paprs(i, k) - paprs(i, k + 1)) * ql2 / rg
           END IF
 
@@ -671,19 +670,19 @@
 
         ! KAPE : thermique / environnement
-        tv2 = t2*(1.+retv*q2-ql2)
+        tv2 = t2 * (1. + retv * q2 - ql2)
         ! diag
         ! dTv21(i,k) = Tv2-Tv1
         ! Kape courante
-        kape(i) = kape(i) + (zp(i)-zm(i))*rg*.5/(tv2+tv1)*max(0., (tv2-tv1))
+        kape(i) = kape(i) + (zp(i) - zm(i)) * rg * .5 / (tv2 + tv1) * max(0., (tv2 - tv1))
         ! Cin
-        IF (zcin(i) .AND. tv2-tv1>0.) THEN
+        IF (zcin(i) .AND. tv2 - tv1>0.) THEN
           zcin(i) = .FALSE.
           cin(i) = kin(i)
         END IF
-        IF (.NOT. zcin(i) .AND. tv2-tv1<0.) THEN
+        IF (.NOT. zcin(i) .AND. tv2 - tv1<0.) THEN
           zcin(i) = .TRUE.
-          kin(i) = kin(i) + (zp(i)-zm(i))*rg*.5/(tv2+tv1)*min(0., (tv2-tv1))
+          kin(i) = kin(i) + (zp(i) - zm(i)) * rg * .5 / (tv2 + tv1) * min(0., (tv2 - tv1))
         END IF
-        IF (kape(i)+kin(i)<0.) THEN
+        IF (kape(i) + kin(i)<0.) THEN
           omega(i) = zm(i)
           ! trmb3(i) = paprs(i,k)
